javax.jdo.metadata

## Interface MemberMetadata

- All Superinterfaces:
    Metadata
  All Known Subinterfaces:
    FieldMetadata, PropertyMetadata

      public interface MemberMetadata
      extends Metadata

  Represents a field/property in a class/persistent-interface.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayMetadata` | `getArrayMetadata()` Accessor for the array details.
    `boolean` | `getCacheable()` Accessor for whether this is cacheable.
    `CollectionMetadata` | `getCollectionMetadata()` Accessor for the array details.
    `String` | `getColumn()` Accessor for the name of the column.
    `ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the join.
    `AttributeConverter<?,?>` | `getConverter()` Accessor for the attribute converter for this member (if any).
    `String` | `getCustomStrategy()` Accessor for the custom strategy (overriding "strategy").
    `Boolean` | `getDefaultFetchGroup()` Accessor for whether part of the DFG.
    `ForeignKeyAction` | `getDeleteAction()` Accessor for the delete action of the FK.
    `Boolean` | `getDependent()` Accessor for whether unique.
    `ElementMetadata` | `getElementMetadata()` Accessor for the element details.
    `Boolean` | `getEmbedded()` Accessor for whether it is embedded.
    `EmbeddedMetadata` | `getEmbeddedMetadata()` Accessor for the embedded metadata.
    `String` | `getFieldType()` Accessor for the type storable in the field.
    `ForeignKeyMetadata` | `getForeignKeyMetadata()` Accessor for any foreign key metadata on this field/property.
    `Boolean` | `getIndexed()` Accessor for whether it is indexed.
    `IndexMetadata` | `getIndexMetadata()` Accessor for any index metadata for the field/property.
    `JoinMetadata` | `getJoinMetadata()` Accessor for the join details.
    `KeyMetadata` | `getKeyMetadata()` Accessor for the key details.
    `String` | `getLoadFetchGroup()` Accessor for the name of the load fetch group
    `MapMetadata` | `getMapMetadata()` Accessor for the map details.
    `String` | `getMappedBy()` Accessor for the mapped-by field/property
    `String` | `getName()` Accessor for the name of the field/property.
    `NullValue` | `getNullValue()` Accessor for the behaviour of a null value
    `int` | `getNumberOfColumns()` Accessor for the number of columns defined for this join.
    `OrderMetadata` | `getOrderMetadata()` Accessor for the order metadata.
    `PersistenceModifier` | `getPersistenceModifier()` Accessor for the persistence modifier of the field/property.
    `boolean` | `getPrimaryKey()` Accessor for whether it is part of the pk.
    `int` | `getRecursionDepth()` Accessor for the recursion depth (when part of a fetch group).
    `String` | `getSequence()` Accessor for the sequence (when using value-strategy of "sequence")
    `Boolean` | `getSerialized()` Accessor for whether it is serialized.
    `String` | `getTable()` Accessor for the name of the table.
    `Boolean` | `getUnique()` Accessor for whether unique.
    `UniqueMetadata` | `getUniqueMetadata()` Accessor for any unique constraint metadata on this field/property.
    `Boolean` | `getUseDefaultConversion()` Accessor for whether any AttributeConverter for this member type is explicitly disabled and should use the implementation default.
    `ValueMetadata` | `getValueMetadata()` Accessor for the value details.
    `IdGeneratorStrategy` | `getValueStrategy()` Accessor for the value strategy
    `ArrayMetadata` | `newArrayMetadata()` Method to define the array details (if the field/property is an array)
    `CollectionMetadata` | `newCollectionMetadata()` Method to define the array details (if the field/property is an array).
    `ColumnMetadata` | `newColumnMetadata()` Add a new column for this join.
    `ElementMetadata` | `newElementMetadata()` Method to define the new element details.
    `EmbeddedMetadata` | `newEmbeddedMetadata()` Method to define the embedded details.
    `ForeignKeyMetadata` | `newForeignKeyMetadata()` Method to set new foreign key metadata for the field/property.
    `IndexMetadata` | `newIndexMetadata()` Method to set index metadata for the field/property.
    `JoinMetadata` | `newJoinMetadata()` Method to define the join details.
    `KeyMetadata` | `newKeyMetadata()` Method to define the key details.
    `MapMetadata` | `newMapMetadata()` Method to define the map details (if the field/property is an map).
    `OrderMetadata` | `newOrderMetadata()` Method to define the order details.
    `UniqueMetadata` | `newUniqueMetadata()` Method to set new unique constraint metadata for the field/property.
    `ValueMetadata` | `newValueMetadata()` Method to define the value details.
    `MemberMetadata` | `setCacheable(boolean cacheable)` Method to set whether this is cacheable
    `MemberMetadata` | `setColumn(String col)` Method to set the column name.
    `MemberMetadata` | `setConverter(AttributeConverter<?,?> conv)` Method to set the attribute converter to use for this member.
    `MemberMetadata` | `setCustomStrategy(String strategy)` Method to set the custom identity generation strategy.
    `MemberMetadata` | `setDefaultFetchGroup(boolean dfg)` Method to set whether it is in the DFG.
    `MemberMetadata` | `setDeleteAction(ForeignKeyAction action)` Method to set the delete action of the FK
    `MemberMetadata` | `setDependent(boolean unique)` Method to set whether it is unique.
    `MemberMetadata` | `setEmbedded(boolean emb)` Method to set whether it is embedded.
    `MemberMetadata` | `setFieldType(String type)` Method to set the field type(s).
    `MemberMetadata` | `setIndexed(boolean index)` Method to set whether it is indexed.
    `MemberMetadata` | `setLoadFetchGroup(String grp)` Method to set the load fetch group.
    `MemberMetadata` | `setMappedBy(String map)` Method to set the field on the other side of a bidirectional relation (this side is owner).
    `MemberMetadata` | `setName(String name)` Method to set the name.
    `MemberMetadata` | `setNullValue(NullValue val)` Method to set the behaviour of a null value
    `MemberMetadata` | `setPersistenceModifier(PersistenceModifier mod)` Method to set the persistence-modifier of the field/property.
    `MemberMetadata` | `setPrimaryKey(boolean pk)` Method to set whether it is part of the pk
    `MemberMetadata` | `setRecursionDepth(int depth)` Method to set the recursion depth (when used in a fetch group).
    `MemberMetadata` | `setSequence(String seq)` Method to set the sequence (when using value-strategy of "sequence")
    `MemberMetadata` | `setSerialized(boolean ser)` Method to set whether it is serialized.
    `MemberMetadata` | `setTable(String table)` Method to set the table name.
    `MemberMetadata` | `setUnique(boolean unique)` Method to set whether it is unique.
    `MemberMetadata` | `setUseDefaultConversion(Boolean flag)` Method to explicitly set whether to disable use of AttributeConverter for this type (either here, class-level or PMF level).
    `MemberMetadata` | `setValueStrategy(IdGeneratorStrategy str)` Method to set the value strategy

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### setName

          MemberMetadata setName(String name)

      Method to set the name.
      Parameters:
        `name` - name
      Returns:
        This metadata object

    - #### getName

          String getName()

      Accessor for the name of the field/property.
      Returns:
        The name

    - #### setTable

          MemberMetadata setTable(String table)

      Method to set the table name.
      Parameters:
        `table` - Table name
      Returns:
        This metadata object

    - #### getTable

          String getTable()

      Accessor for the name of the table.
      Returns:
        The name

    - #### setColumn

          MemberMetadata setColumn(String col)

      Method to set the column name.
      Parameters:
        `col` - Column name
      Returns:
        This metadata object

    - #### getColumn

          String getColumn()

      Accessor for the name of the column.
      Returns:
        The column name

    - #### setFieldType

          MemberMetadata setFieldType(String type)

      Method to set the field type(s). For defining where we want to restrict what type is stored in a field
      Parameters:
        `type` - Type of field
      Returns:
        This metadata object

    - #### getFieldType

          String getFieldType()

      Accessor for the type storable in the field.
      Returns:
        The field type

    - #### setDeleteAction

          MemberMetadata setDeleteAction(ForeignKeyAction action)

      Method to set the delete action of the FK
      Parameters:
        `action` - Delete action of the FK
      Returns:
        This metadata object

    - #### getDeleteAction

          ForeignKeyAction getDeleteAction()

      Accessor for the delete action of the FK.
      Returns:
        The FK delete-action

    - #### setPersistenceModifier

          MemberMetadata setPersistenceModifier(PersistenceModifier mod)

      Method to set the persistence-modifier of the field/property.
      Parameters:
        `mod` - persistence modifier
      Returns:
        This metadata object

    - #### getPersistenceModifier

          PersistenceModifier getPersistenceModifier()

      Accessor for the persistence modifier of the field/property.
      Returns:
        The persistence modifier

    - #### setNullValue

          MemberMetadata setNullValue(NullValue val)

      Method to set the behaviour of a null value
      Parameters:
        `val` - Null value behaviour
      Returns:
        This metadata object

    - #### getNullValue

          NullValue getNullValue()

      Accessor for the behaviour of a null value
      Returns:
        The null value behaviour

    - #### setDefaultFetchGroup

          MemberMetadata setDefaultFetchGroup(boolean dfg)

      Method to set whether it is in the DFG.
      Parameters:
        `dfg` - DFG?
      Returns:
        This metadata object

    - #### getDefaultFetchGroup

          Boolean getDefaultFetchGroup()

      Accessor for whether part of the DFG.
      Returns:
        dfg?

    - #### setDependent

          MemberMetadata setDependent(boolean unique)

      Method to set whether it is unique.
      Parameters:
        `unique` - Unique?
      Returns:
        This metadata object

    - #### getDependent

          Boolean getDependent()

      Accessor for whether unique.
      Returns:
        Unique?

    - #### setEmbedded

          MemberMetadata setEmbedded(boolean emb)

      Method to set whether it is embedded.
      Parameters:
        `emb` - Embedded?
      Returns:
        This metadata object

    - #### getEmbedded

          Boolean getEmbedded()

      Accessor for whether it is embedded.
      Returns:
        embedded?

    - #### setSerialized

          MemberMetadata setSerialized(boolean ser)

      Method to set whether it is serialized.
      Parameters:
        `ser` - serialized?
      Returns:
        This metadata object

    - #### getSerialized

          Boolean getSerialized()

      Accessor for whether it is serialized.
      Returns:
        serialized?

    - #### setPrimaryKey

          MemberMetadata setPrimaryKey(boolean pk)

      Method to set whether it is part of the pk
      Parameters:
        `pk` - PK?
      Returns:
        This metadata object

    - #### getPrimaryKey

          boolean getPrimaryKey()

      Accessor for whether it is part of the pk.
      Returns:
        pk?

    - #### setIndexed

          MemberMetadata setIndexed(boolean index)

      Method to set whether it is indexed.
      Parameters:
        `index` - Indexed?
      Returns:
        This metadata object

    - #### getIndexed

          Boolean getIndexed()

      Accessor for whether it is indexed.
      Returns:
        Indexed?

    - #### setUnique

          MemberMetadata setUnique(boolean unique)

      Method to set whether it is unique.
      Parameters:
        `unique` - Unique?
      Returns:
        This metadata object

    - #### getUnique

          Boolean getUnique()

      Accessor for whether unique.
      Returns:
        Unique?

    - #### setCacheable

          MemberMetadata setCacheable(boolean cacheable)

      Method to set whether this is cacheable
      Parameters:
        `cacheable` - Cacheable?
      Returns:
        This metadata object

    - #### getCacheable

          boolean getCacheable()

      Accessor for whether this is cacheable.
      Returns:
        Detachable?

    - #### setRecursionDepth

          MemberMetadata setRecursionDepth(int depth)

      Method to set the recursion depth (when used in a fetch group).
      Parameters:
        `depth` - Recursion depth
      Returns:
        This metadata object

    - #### getRecursionDepth

          int getRecursionDepth()

      Accessor for the recursion depth (when part of a fetch group).
      Returns:
        Recursion depth?

    - #### setLoadFetchGroup

          MemberMetadata setLoadFetchGroup(String grp)

      Method to set the load fetch group.
      Parameters:
        `grp` - Load fetch group
      Returns:
        This metadata object

    - #### getLoadFetchGroup

          String getLoadFetchGroup()

      Accessor for the name of the load fetch group
      Returns:
        The load fetch group

    - #### setValueStrategy

          MemberMetadata setValueStrategy(IdGeneratorStrategy str)

      Method to set the value strategy
      Parameters:
        `str` - Value strategy
      Returns:
        This metadata object

    - #### getValueStrategy

          IdGeneratorStrategy getValueStrategy()

      Accessor for the value strategy
      Returns:
        Value strategy

    - #### setCustomStrategy

          MemberMetadata setCustomStrategy(String strategy)

      Method to set the custom identity generation strategy.
      Parameters:
        `strategy` - The strategy
      Returns:
        This metadata object

    - #### getCustomStrategy

          String getCustomStrategy()

      Accessor for the custom strategy (overriding "strategy").
      Returns:
        The strategy

    - #### setSequence

          MemberMetadata setSequence(String seq)

      Method to set the sequence (when using value-strategy of "sequence")
      Parameters:
        `seq` - Sequence key
      Returns:
        This metadata object

    - #### getSequence

          String getSequence()

      Accessor for the sequence (when using value-strategy of "sequence")
      Returns:
        Sequence key

    - #### setMappedBy

          MemberMetadata setMappedBy(String map)

      Method to set the field on the other side of a bidirectional relation (this side is owner).
      Parameters:
        `map` - mapped-by field/property
      Returns:
        This metadata object

    - #### getMappedBy

          String getMappedBy()

      Accessor for the mapped-by field/property
      Returns:
        mapped-by field/property

    - #### newArrayMetadata

          ArrayMetadata newArrayMetadata()

      Method to define the array details (if the field/property is an array)
      Returns:
        The ArrayMetadata

    - #### getArrayMetadata

          ArrayMetadata getArrayMetadata()

      Accessor for the array details.
      Returns:
        array details

    - #### newCollectionMetadata

          CollectionMetadata newCollectionMetadata()

      Method to define the array details (if the field/property is an array).
      Returns:
        The ArrayMetadata

    - #### getCollectionMetadata

          CollectionMetadata getCollectionMetadata()

      Accessor for the array details.
      Returns:
        array details

    - #### newMapMetadata

          MapMetadata newMapMetadata()

      Method to define the map details (if the field/property is an map).
      Returns:
        The MapMetadata

    - #### getMapMetadata

          MapMetadata getMapMetadata()

      Accessor for the map details.
      Returns:
        map details

    - #### newJoinMetadata

          JoinMetadata newJoinMetadata()

      Method to define the join details.
      Returns:
        The JoinMetadata

    - #### getJoinMetadata

          JoinMetadata getJoinMetadata()

      Accessor for the join details.
      Returns:
        join details

    - #### newEmbeddedMetadata

          EmbeddedMetadata newEmbeddedMetadata()

      Method to define the embedded details.
      Returns:
        The EmbeddedMetadata

    - #### getEmbeddedMetadata

          EmbeddedMetadata getEmbeddedMetadata()

      Accessor for the embedded metadata.
      Returns:
        embedded metadata

    - #### newElementMetadata

          ElementMetadata newElementMetadata()

      Method to define the new element details.
      Returns:
        The ElementMetadata

    - #### getElementMetadata

          ElementMetadata getElementMetadata()

      Accessor for the element details.
      Returns:
        element details

    - #### newKeyMetadata

          KeyMetadata newKeyMetadata()

      Method to define the key details.
      Returns:
        The KeyMetadata

    - #### getKeyMetadata

          KeyMetadata getKeyMetadata()

      Accessor for the key details.
      Returns:
        key details

    - #### newValueMetadata

          ValueMetadata newValueMetadata()

      Method to define the value details.
      Returns:
        The ValueMetadata

    - #### getValueMetadata

          ValueMetadata getValueMetadata()

      Accessor for the value details.
      Returns:
        value details

    - #### newIndexMetadata

          IndexMetadata newIndexMetadata()

      Method to set index metadata for the field/property.
      Returns:
        The metadata for any index

    - #### getIndexMetadata

          IndexMetadata getIndexMetadata()

      Accessor for any index metadata for the field/property.
      Returns:
        Index metadata

    - #### newUniqueMetadata

          UniqueMetadata newUniqueMetadata()

      Method to set new unique constraint metadata for the field/property.
      Returns:
        The UniqueMetadata

    - #### getUniqueMetadata

          UniqueMetadata getUniqueMetadata()

      Accessor for any unique constraint metadata on this field/property.
      Returns:
        The UniqueMetadata

    - #### newForeignKeyMetadata

          ForeignKeyMetadata newForeignKeyMetadata()

      Method to set new foreign key metadata for the field/property.
      Returns:
        The ForeignKeyMetadata

    - #### getForeignKeyMetadata

          ForeignKeyMetadata getForeignKeyMetadata()

      Accessor for any foreign key metadata on this field/property.
      Returns:
        The ForeignKeyMetadata

    - #### newOrderMetadata

          OrderMetadata newOrderMetadata()

      Method to define the order details.
      Returns:
        The OrdeMetadata

    - #### getOrderMetadata

          OrderMetadata getOrderMetadata()

      Accessor for the order metadata.
      Returns:
        order metadata

    - #### getColumns

          ColumnMetadata[] getColumns()

      Accessor for all column(s) defined on the join.
      Returns:
        The column(s)

    - #### newColumnMetadata

          ColumnMetadata newColumnMetadata()

      Add a new column for this join.
      Returns:
        The ColumnMetadata

    - #### getNumberOfColumns

          int getNumberOfColumns()

      Accessor for the number of columns defined for this join.
      Returns:
        The number of columns

    - #### getConverter

          AttributeConverter<?,?> getConverter()

      Accessor for the attribute converter for this member (if any).
      Returns:
        The converter

    - #### setConverter

          MemberMetadata setConverter(AttributeConverter<?,?> conv)

      Method to set the attribute converter to use for this member.
      Parameters:
        `conv` - Converter
      Returns:
        This metadata

    - #### getUseDefaultConversion

          Boolean getUseDefaultConversion()

      Accessor for whether any AttributeConverter for this member type is explicitly disabled and should use the implementation default.
      Returns:
        Whether it is explicitly disabled

    - #### setUseDefaultConversion

          MemberMetadata setUseDefaultConversion(Boolean flag)

      Method to explicitly set whether to disable use of AttributeConverter for this type (either here, class-level or PMF level).
      Parameters:
        `flag` - Whether to disable
      Returns:
        This metadata

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.